package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:bnssta:业务主备信息存储表
*/
@Table("bnssta")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bnssta extends AbstractModule
{

        public Bnssta(){
            super();
        }

        public Bnssta(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "bnssta";
        }

        //主键
        private String inr ;
        //主机名称
        private String hstnam ;
        //更新时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date upddat;
        //该中心F5地址
        private String middle ;
        //业务状态
        private String status ;
        //判断是否已更新
        private String flg ;
        //业务种类中文描述
        private String busnam ;
        //业务库
        private String bustyp ;




}