package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:chn:渠道消息表
*/
@Table("chn")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Chn extends AbstractModule
{

        public Chn(){
            super();
        }

        public Chn(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "chn";
        }

        //渠道代码
        private String cod ;
        //渠道名称
        private String nam ;
        //渠道控制状态
        private String ctlsta ;
        //渠道状态
        private String sta ;
        //渠道类型
        private String typ ;
        //渠道报文格式
        private String fmt ;
        //最近接收报文时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date lstrcvdattim;
        //最近发送报文时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date lstsnddattim;
        //延迟处理时间
        private int dlytim ;
        //待处理的mps记录状态
        private String mpssta ;
        //渠道描述
        private String txt ;
        //发送条数monly
        private String sndcnt ;
        //接受条数monly
        private String rcvcnt ;
        //审核状态
        private String oprsta ;
        //渠道代码
        private String chncod ;
        //操作类型
        private String oprtyp ;




}