package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:cpstim:跨境人民币时序表
*/
@Table("cpstim")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cpstim extends AbstractModule
{

        public Cpstim(){
            super();
        }

        public Cpstim(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "cpstim";
        }

        //主键
        private String inr ;
        //报文发送时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date orgsystm;
        //原系统日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date orgsysdt;
        //原系统状态
        private String orgsyssta ;
        //系统当前日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date sysdt;
        //系统当前状态
        private String syssta ;
        //系统下一日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date nxtsysdt;
        //参与者变更期数
        private String mmbchnnb ;
        //公共参数变更期数
        private String parchnnb ;
        //间参所属直参变更期数
        private String drcmmbchnnb ;
        //附言
        private String ustrd ;




}