package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:cpy:对账报文明细页信息表
*/
@Table("cpy")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cpy extends AbstractModule
{

        public Cpy(){
            super();
        }

        public Cpy(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "cpy";
        }

        //主键
        private String inr ;
        //报文标志号
        private String ownref ;
        //报文发送时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date snddattim;
        //本报文页码
        private String pagnum ;
        //最后一页指示符
        private String flg ;
        //关联MPI主键inr
        private String mpiinr ;
        //原报文标识号
        private String oriref ;
        //对账文件类型
        private String filtyp ;
        //文件路径
        private String filpth ;
        //文件名称
        private String filnam ;
        //状态
        private String sta ;
        //对账日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date chkdat;




}