package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:csn:境内外币和CIPS数字证书信息表
*/
@Table("csn")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Csn extends AbstractModule
{

        public Csn(){
            super();
        }

        public Csn(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "csn";
        }

        //主键
        private String inr ;
        //发起节点代码
        private String bnkbic ;
        //证书CN
        private String cn ;
        //证书SN
        private String sn ;
        //证书变更类型
        private String csntyp ;
        //处理状态
        private String sta ;
        //关联操作inr
        private String relinr ;
        //报文类型
        private String subtyp ;
        //委托日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date gendat;
        //附言
        private String rem ;
        //业务类型
        private String typ ;
        //变更参与机构行号
        private String chgbic ;
        //行名
        private String bnknam ;
        //数字证书到期日
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date lstdat;




}