package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:dat:会计日期记录表
*/
@Table("dat")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Dat extends AbstractModule
{

        public Dat(){
            super();
        }

        public Dat(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "dat";
        }

        //主键
        private String inr ;
        //会计日期
        private String accdat ;
        //日切前日期
        private String befdat ;
        //划拨计数器
        private String hbs ;
        //批量结算计数器
        private String pjs ;
        //批量对账计数器
        private String pdz ;
        //日切改变时间
        private String chgdattim ;
        //下一个日切前日期
        private String nxtbefdat ;
        //下一个日切日期
        private String nxtaccdat ;
        //日期描述
        private String accdattok ;
        //银星对账文件批次号
        private String costar ;




}