package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:dta:黑名单账户拦截规则表
*/
@Table("dta")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Dta extends AbstractModule
{

        public Dta(){
            super();
        }

        public Dta(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "dta";
        }

        //账户主键
        private String inr ;
        //账户 ID
        private String act ;
        //备注
        private String addinf ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;
        //户名
        private String nam ;




}