package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:dtr:清分规则表
*/
@Table("dtr")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Dtr extends AbstractModule
{

        public Dtr(){
            super();
        }

        public Dtr(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "dtr";
        }

        //规则名称(用户记录规则)
        private String rulnam ;
        //报文类型
        private String msgtyp ;
        //规则级别
        private String lvl ;
        //渠道匹配字符串
        private String chnstr ;
        //报文内容匹配字符串
        private String typstr ;
        //报文域匹配字符串
        private String tagstr ;
        //消息处理步骤
        private String smpstp ;
        //规则生效时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date begdat;
        //规则失效时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date enddat;




}