package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:elctim:ELCS Time Manager Information
*/
@Table("elctim")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Elctim extends AbstractModule
{

        public Elctim(){
            super();
        }

        public Elctim(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "elctim";
        }

        //唯一标识
        private String inr ;
        //备注
        private String rmk ;
        //报文发送时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date orgsystm;
        //原系统日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date orgsysdt;
        //原系统状态
        private String orgsyssta ;
        //系统当前日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date sysdt;
        //系统当前状态
        private String syssta ;
        //线上清算开关
        private String onlnsta ;
        //行名行号变更期数
        private String bkchnnb ;
        //系统参数变更期数
        private String parchnnb ;




}