package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:etg:(静态表)实体组表
*/
@Table("etg")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Etg extends AbstractModule
{

        public Etg(){
            super();
        }

        public Etg(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "etg";
        }

        //主键编号
        private String inr ;
        //实体组名称
        private String nam ;
        //实体组描述
        private String des ;
        //状态
        private String sta ;




}