package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:fxbank:境内外币行号数据信息表
*/
@Table("fxbank")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fxbank extends AbstractModule
{

        public Fxbank(){
            super();
        }

        public Fxbank(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "fxbank";
        }

        //主键
        private String inr ;
        //行号
        private String bic ;
        //参与者类别
        private String bnktyp ;
        //行别代码
        private String hbcod ;
        //连接方式
        private String contyp ;
        //前置机代码
        private String fntcod ;
        //所属直接参与者行号
        private String directbic ;
        //省属代码
        private String provcod ;
        //地市代码
        private String citycod ;
        //金融机构代码
        private String bnkcod ;
        //参与者全称
        private String fulnam ;
        //参与者简称
        private String hafnam ;
        //地址
        private String address ;
        //邮编
        private String poscod ;
        //电话
        private String phone ;
        //电子邮件地址
        private String email ;
        //联系人
        private String lnkman ;
        //状态
        private String sta ;
        //生效日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date begdat;
        //失效日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date losdat;
        //最近更新操作
        private String lstupdate ;
        //FXCC变更期数
        private String changeterm ;
        //更新时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date time;
        //备注
        private String postscript ;
        //fxd表inr
        private String fxdinr ;
        //关联mpiinr
        private String relinr ;




}