package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:fxd:境内外币基础数据信息表
*/
@Table("fxd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fxd extends AbstractModule
{

        public Fxd(){
            super();
        }

        public Fxd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "fxd";
        }

        //主键
        private String inr ;
        //导入日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //文件类型
        private String filtyp ;
        //文件名
        private String filnam ;
        //文件路径
        private String filpth ;
        //状态
        private String sta ;
        //报文类型
        private String typ ;




}