package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:fxdpat:CIPS行号信息存储表
*/
@Table("fxdpat")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fxdpat extends AbstractModule
{

        public Fxdpat(){
            super();
        }

        public Fxdpat(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "fxdpat";
        }

        //主键
        private String inr ;
        //参与者机构号
        private String cod ;
        //参与者机构中文名称
        private String chnnam ;
        //参与者英文名称
        private String engnam ;
        //国别
        private String cty ;
        //境内外标识
        private String cbtype ;
        //参与者资格标识
        private String bakcat ;
        //所属资金托管行
        private String ctdbak ;
        //法人机构识别编码
        private String lei ;
        //有效标识
        private String valflg ;
        //生效日期
        private String effdat ;
        //联系人姓名
        private String nam ;
        //fxd表主键
        private String fxdinr ;
        //联系人电话
        private String tel ;
        //联系人邮件地址
        private String mal ;
        //联系人地址
        private String address ;
        //联系人邮编
        private String zipcod ;
        //前一次更新状态
        private String presta ;
        //当前更新状态
        private String sta ;
        //变更期数
        private String issueno ;
        //办理业务状态
        private String bizsta ;




}