package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:gjsmsg:
*/
@Table("gjsmsg")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Gjsmsg extends AbstractModule
{

        public Gjsmsg(){
            super();
        }

        public Gjsmsg(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "gjsmsg";
        }

        //请求报文的唯一标识
        private String inr ;
        //业务代码
        private String cod ;
        //退报请求日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date bakdat;
        //报文类型
        private String subtyp ;
        //报文编号
        private String othref ;
        //原报文编号
        private String ownref ;
        //发报行
        private String sndbic ;
        //原报发送日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date snddat;
        //备注
        private String rmk ;




}