package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:icr:
*/
@Table("icr")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Icr extends AbstractModule
{

        public Icr(){
            super();
        }

        public Icr(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "icr";
        }

        //主键
        private String inr ;
        //对账统计表主键
        private String mcrinr ;
        //记录流水号
        private String seqnum ;
        //记录20项参考号
        private String refnum ;
        //记录汇票号
        private String bilnum ;
        //记录报文收发方向
        private String reddir ;
        //记录会计日期
        private String accdat ;
        //核对详细
        private String chkinf ;
        //核对状态
        private String chksta ;
        //记录金额
        private String recamt ;
        //最后处理时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date lstdattim;
        //记录币种
        private String reccur ;




}