package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:mon:监控参数信息表
*/
@Table("mon")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Mon extends AbstractModule
{

        public Mon(){
            super();
        }

        public Mon(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "mon";
        }

        //主键
        private String inr ;
        //起始监控时间
        private String begtim ;
        //结束监控时间
        private String endtim ;
        //收件人手机号
        private String rcvpho ;
        //是否发送短信
        private String sndmsg ;
        //参数类型
        private String typ ;




}