package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:mpe:Message Process Entry
*/
@Table("mpe")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Mpe extends AbstractModule
{

        public Mpe(){
            super();
        }

        public Mpe(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "mpe";
        }

        //
        private String inr ;
        //收发处理主信息记录
        private String mpsinr ;
        //当前渠道代码
        private String chncod ;
        //下一渠道代码
        private String nxtchncod ;
        //当前报文
        private String smhinr ;
        //下一渠道报文
        private String nxtsmhinr ;
        //处理时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date dattim;
        //操作用户
        private String usr ;
        //处理交易
        private String frmnam ;
        //处理前状态
        private String prvsta ;
        //处理状态
        private String sta ;
        //处理说明
        private String txt ;
        //回执状态
        private String rspsta ;
        //前回执状态
        private String prvrspsta ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;




}