package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:rof:Records on file
*/
@Table("rof")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Rof extends AbstractModule
{

        public Rof(){
            super();
        }

        public Rof(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "rof";
        }

        //唯一编号
        private String inr ;
        //case编号
        private String casnum ;
        //报文编号
        private String megnum ;
        //类型
        private String typ ;
        //业务参考号
        private String sevref ;
        //关联业务参考号
        private String relref ;
        //发报行
        private String sedbak ;
        //收报行
        private String revbak ;
        //账户行
        private String actbak ;
        //收到时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date revtim;
        //备注
        private String rem ;
        //操作
        private String opr ;
        //详细备注
        private String txt ;
        //LJD主键
        private String ljdinr ;
        //关联业务表类型
        private String objtyp ;
        //关联业务表主键
        private String objinr ;
        //交易类型
        private String trncod ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;
        //GPI标识
        private String gpi ;
        //G渠道标识
        private String sweflg ;




}