package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:rol:(静态表)角色表
*/
@Table("rol")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Rol extends AbstractModule
{

        public Rol(){
            super();
        }

        public Rol(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "rol";
        }

        //唯一编号
        private String inr ;
        //角色名称
        private String nam ;
        //角色状态
        private String flg ;
        //角色所属机构级次
        private String lev ;
        //角色复核授权级别
        private String rellev ;
        //是否选择
        private String chk ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;




}