package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ser:G渠道月度数据报送表
*/
@Table("ser")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ser extends AbstractModule
{

        public Ser(){
            super();
        }

        public Ser(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ser";
        }

        //
        private String inr ;
        //报送月份
        private String rptmon ;
        //报送类型
        private String rpttyp ;
        //SED表主键
        private String sedinr ;
        //消息接收时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date rcvdattim;
        //最近处理时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date lstdattim;
        //发送时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date snddattim;
        //回执时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date rspdattim;
        //报文发送时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date swedattim;
        //通讯级状态
        private String sndsta ;
        //消息处理状态
        private String sta ;
        //处理说明
        private String txt ;
        //报送数量
        private long cnt ;
        //数据来源
        private String datsrc ;
        //业务类型
        private String bustyp ;
        //本机构名称
        private String sndnam ;




}