package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:tskctl:后台服务控制表
*/
@Table("tskctl")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tskctl extends AbstractModule
{

        public Tskctl(){
            super();
        }

        public Tskctl(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "tskctl";
        }

        //内部唯一标识
        private String inr ;
        //服务交易码
        private String tsk ;
        //节点标识
        private String nod ;
        //可用状态
        private String sta ;
        //轮询休眠时间
        private long slptim ;
        //userNames
        private String usrnam ;
        //timeout
        private long timout ;
        //备注
        private String rmk ;




}