package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:txh:操作短信历史记录
*/
@Table("txh")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Txh extends AbstractModule
{

        public Txh(){
            super();
        }

        public Txh(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "txh";
        }

        //主键
        private String inr ;
        //处理时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date magtim;
        //操作用户
        private String usr ;
        //处理交易
        private String frmnam ;
        //关联短信inr
        private String txtinr ;
        //处理说明
        private String dsc ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;




}