package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:txm:短信模板
*/
@Table("txm")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Txm extends AbstractModule
{

        public Txm(){
            super();
        }

        public Txm(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "txm";
        }

        //
        private String inr ;
        //模板名称
        private String nam ;
        //模板内容
        private String txt ;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //要素个数
        private int keycnt ;
        //说明
        private String dsc ;
        //模板具体类型
        private String subtyp ;
        //状态
        private String sta ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;




}