package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:usr:(系统表)操作员信息表
*/
@Table("usr")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Usr extends AbstractModule
{

        public Usr(){
            super();
        }

        public Usr(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "usr";
        }

        //唯一编号
        private String inr ;
        //登录名称
        private String nam ;
        //密码输入次数
        private int fltcnt ;
        //操作员名称
        private String dspnam ;
        //默认所属机构
        private String ptyinr ;
        //机构名称
        private String ptynam ;
        //密码
        private String pwd ;
        //用户状态
        private String sta ;
        //成功登录时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date lstdattim;
        //最后登录失败时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date lstfltdattim;
        //密码过期日
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date valdat;
        //用户号
        private String usrnum ;
        //联系电话
        private String tel ;
        //电子邮件
        private String eml ;
        //身份证号
        private String usridn ;
        //最后密码修改日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date lstpwddat;
        //机构代码
        private String bchcod ;
        //所属实体
        private String etyinr ;
        //验证码
        private String vrfcod ;
        //验证码生成时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date vrfcodtim;
        //Teller Number
        private int tnumber ;
        //Teller Name
        private String tname ;
        //Teller Personcode
        private String tpersoncode ;
        //Teller Change No.
        private String tchgno ;
        //Teller Inst
        private String tinst ;
        //Teller Trans inst
        private String ttransinst ;
        //Teller Role Set
        private String troleset ;
        //System State
        private String tsyssta ;
        //HR State
        private String thrsta ;
        //Change Type
        private String tchgtyp ;
        //Is_Auth
        private String isauth ;




}