package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:usrlog:用户登录信息表
*/
@Table("usrlog")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Usrlog extends AbstractModule
{

        public Usrlog(){
            super();
        }

        public Usrlog(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "usrlog";
        }

        //唯一编号
        private String inr ;
        //登录名称
        private String nam ;
        //操作动作
        private String oprnam ;
        //操作状态
        private String sta ;
        //操作时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date oprdattim;




}