package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:usrtab:用户登录信息表
*/
@Table("usrtab")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Usrtab extends AbstractModule
{

        public Usrtab(){
            super();
        }

        public Usrtab(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "usrtab";
        }

        //usrmsg表主键
        private String inr ;
        //申请序号
        private String reqnum ;
        //报文子类型号
        private String subtyp ;
        //发起节点代码
        private String sndcod ;
        //接收节点代码
        private String rcvcod ;
        //报文处理码
        private String mancod ;
        //原识别信息
        private String oriinf ;
        //新识别信息
        private String newinf ;
        //返回信息
        private String rspinf ;
        //当前系统工作日
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date curdat;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date rsptim;
        //报文处理状态
        private String sta ;
        //返回码
        private String rspcod ;
        //关联MPIINR
        private String mpiinr ;
        //业务类型
        private String typ ;
        //操作类型
        private String oprtyp ;
        //原报文识别号
        private String oriref ;
        //发起直接参与机构
        private String seicod ;
        //接收直接参与机构
        private String rcicod ;
        //系统号
        private String syscod ;
        //系统当前日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date sysdat;
        //系统当前状态
        private String syssta ;
        //登录状态
        private String logsta ;




}