package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:yss:
*/
@Table("yss")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Yss extends AbstractModule
{

        public Yss(){
            super();
        }

        public Yss(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "yss";
        }

        //主键inr
        private String inr ;
        //mps记录的inr
        private String mpsinr ;
        //报文类型
        private String subtyp ;
        //交易类型
        private String frmtyp ;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credattim;
        //最后更新时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date lstdattim;
        //当前状态
        private String sta ;




}