package com.ceb.gjjs.mda.manager;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.fasterxml.jackson.annotation.*;
import com.brilliance.mda.runtime.mda.util.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.vo.RcvselVO;

import com.ceb.gjjs.mda.manager.module.Sysmod;
import com.ceb.gjjs.mda.manager.module.Rcvp;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.manager.module.Msggrp;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
/**
* 收报查询
*/
@Transaction(vo= RcvselVO.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Rcvsel extends AbstractTransaction{
		private static Logger log = LoggerFactory.getLogger(Rcvsel.class);

		@BDGetter
		private Msggrp msggrp;

		@BDGetter
		private Rcvp rcvp;

		@BDGetter
		private Sysmod sysmod;


		public Rcvsel()
        {
            super();
            setArgument();
        }

        public void setArgument()
        {
           this.getRcvp().setMsggrpHolder(()->this.getMsggrp());
        }








}