package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:cetcsn:参与者数字证书绑定信息表
*/
@Table("cetcsn")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cetcsn extends AbstractModule
{

        public Cetcsn(){
            super();
        }

        public Cetcsn(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "cetcsn";
        }

        //主键
        private String inr ;
        //参与者行号
        private String bnkcod ;
        //证书DN
        private String certdn ;
        //证书SN
        private String certsn ;
        //证书有效期起始日期
        private String certefdat ;
        //证书有效期结束日期
        private String certindat ;
        //公钥证书
        private String cerbdy ;
        //fxd表主键
        private String fxdinr ;
        //状态
        private String sta ;
        //发送机构
        private String sndpty ;
        //直接发送机构
        private String snddirpty ;
        //直接接受机构
        private String rcvdirpty ;
        //接受机构
        private String rcvpty ;
        //关联操作inr
        private String relinr ;
        //委托日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date gendat;
        //附言
        private String rem ;
        //报文类型
        private String subtyp ;
        //证书变更类型
        private String csntyp ;
        //证书类型
        private String syscd ;
        //是否绑定证书标识
        private String flg ;




}