package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:efd:
*/
@Table("efd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Efd extends AbstractModule
{

        public Efd(){
            super();
        }

        public Efd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "efd";
        }

        //主键
        private String inr ;
        //日终任务号
        private String tskid ;
        //日终任务名称
        private String tsknam ;
        //文件名称
        private String filnam ;
        //文件路径
        private String filpth ;
        //状态
        private String sta ;
        //最近发送时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date lstdattim;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date credattim;
        //类型
        private String typ ;
        //个数
        private String cnt ;
        //系统号
        private String syscode ;
        //
        private String chkdat ;
        //
        private String befdat ;
        //会计日期
        private String accdat ;
        //当前日期
        private String nowdat ;
        //上一自然日
        private String yetdat ;
        //发送方式
        private String sndtyp ;




}