package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ety:(静态表)实体表
*/
@Table("ety")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ety extends AbstractModule
{

        public Ety(){
            super();
        }

        public Ety(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ety";
        }

        //主键编号
        private String inr ;
        //实体中文名称
        private String etynam ;
        //所属实体组
        private String etginr ;
        //描述（某行的网银信息）
        private String des ;
        //实体客户号
        private String ref ;
        //实体英文名称
        private String etyeng ;
        //电子专用章签样
        private String sealrl ;
        //商行面函logo
        private String covurl ;
        //二级客户登陆界面logo
        private String lgnurl ;
        //状态
        private String sta ;
        //实体组名称
        private String etgnam ;




}