package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:fipsta:地址信息表
*/
@Table("fipsta")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fipsta extends AbstractModule
{

        public Fipsta(){
            super();
        }

        public Fipsta(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "fipsta";
        }

        //表主键
        private String inr ;
        //IP地址
        private String ip ;
        //状态
        private String status ;
        //渠道名称
        private String chncod ;
        //管理接口IP
        private String manaip ;
        //切换时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date chgdat;
        //是否优先
        private String fir ;




}