package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:frm:交易代码记录表
*/
@Table("frm")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Frm extends AbstractModule
{

        public Frm(){
            super();
        }

        public Frm(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "frm";
        }

        //交易主键
        private String inr ;
        //父级主键
        private String pntinr ;
        //交易代码
        private String frm ;
        //交易描述
        private String dsp ;
        //交易类型
        private String frmtyp ;
        //交易状态
        private String typ ;
        //交易菜单显示
        private String flg ;
        //是否需要主管授权monly
        private String chkflg ;
        //是否需要复核monly
        private String chkflg1 ;
        //授权级别monly
        private String lvl ;
        //是否选中monly
        private String chk ;
        //frm交易子类型
        private String subtyp ;




}