package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:fxdcom:境内外币和CIPS公共数据信息表
*/
@Table("fxdcom")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fxdcom extends AbstractModule
{

        public Fxdcom(){
            super();
        }

        public Fxdcom(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "fxdcom";
        }

        //主键
        private String inr ;
        //公共数据代码
        private String comcod ;
        //币种代码
        private String cur ;
        //公共数据名
        private String comnam ;
        //公共数据值
        private String val ;
        //公共数据更新值
        private String updval ;
        //生效类型
        private String typ ;
        //生效日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date effdat;
        //更新日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date upddat;
        //更新时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date updtim;
        //备注
        private String remark ;
        //fxd表inr
        private String fxdinr ;
        //状态
        private String sta ;
        //变更期数
        private String changeterm ;
        //变更记录数目
        private String num ;
        //变更类型
        private String chgtyp ;
        //公共数据类型
        private String comtyp ;
        //公共数据英文名称
        private String comengnam ;
        //业务类型
        private String type ;
        //文件类型
        private String filtyp ;




}