package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:fxdrel:CIPS直间参关系信息文件
*/
@Table("fxdrel")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fxdrel extends AbstractModule
{

        public Fxdrel(){
            super();
        }

        public Fxdrel(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "fxdrel";
        }

        //主键
        private String inr ;
        //参与者机构
        private String cod ;
        //所属直接参与机构号
        private String drbankcod ;
        //生效日期
        private String effdat ;
        //上次更新类型
        private String preupdtyp ;
        //变更期数
        private String issueno ;
        //更新类型
        private String updtyp ;
        //fxd表主键
        private String fxdinr ;




}