package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:fxdrig:境内外币和CIPS业务权限信息表
*/
@Table("fxdrig")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fxdrig extends AbstractModule
{

        public Fxdrig(){
            super();
        }

        public Fxdrig(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "fxdrig";
        }

        //主键
        private String inr ;
        //行号
        private String bic ;
        //业务发起权限
        private String sndtyp ;
        //业务接收权限
        private String rcvtyp ;
        //更新日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date upddat;
        //更新时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date updtim;
        //fxd表inr
        private String fxdinr ;
        //状态
        private String sta ;
        //业务类型
        private String typ ;
        //参与机构权限清单
        private String atytyp ;
        //报文类型
        private String msgtyp ;




}