package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:fxebnk:电证系统行名行号信息表
*/
@Table("fxebnk")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fxebnk extends AbstractModule
{

        public Fxebnk(){
            super();
        }

        public Fxebnk(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "fxebnk";
        }

        //主键
        private String inr ;
        //变更类型
        private String chngtp ;
        //生效类型
        private String fctvtp ;
        //生效日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date begdat;
        //失效日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date losdat;
        //行号
        private String bic ;
        //参与者类别
        private String bnktyp ;
        //行别代码
        private String hbcod ;
        //所属直接参与者行号
        private String directbic ;
        //所属法人
        private String lglpsn ;
        //本行上级参与机构
        private String hghcd ;
        //承接行行号
        private String brbkcd ;
        //管辖人行行号
        private String chrcd ;
        //所属CCPC
        private String ndcd ;
        //城市代码
        private String citycod ;
        //参与者全称
        private String fulnam ;
        //加入业务系统标识
        private String sgn ;
        //变更期数
        private String changeterm ;
        //电话
        private String tel ;
        //fxd表inr
        private String fxdinr ;
        //状态
        private String sta ;
        //文件类型
        private String filtyp ;




}