package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:mar:互助协议关系表
*/
@Table("mar")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Mar extends AbstractModule
{

        public Mar(){
            super();
        }

        public Mar(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "mar";
        }

        //主键
        private String inr ;
        //借入行代码
        private String inbic ;
        //借出行代码
        private String outbic ;
        //当前处理状态
        private String sta ;
        //关系操作
        private String typ ;
        //377报文存储主键
        private String inmpiinr ;
        //376报文存储主键
        private String outmpiinr ;
        //376报文发送方向
        private String dir ;
        //互助协议号
        private String no ;
        //选中
        private String chk ;




}