package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:mcr:mcr
*/
@Table("mcr")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Mcr extends AbstractModule
{

        public Mcr(){
            super();
        }

        public Mcr(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "mcr";
        }

        //主键
        private String inr ;
        //发送系统
        private String sndsys ;
        //对账申请文件名
        private String sndfin ;
        //接收系统
        private String rcvsys ;
        //对账结果文件名
        private String rstfin ;
        //本地日期/对账文件生成日期
        private String lcadat ;
        //会计日期
        private String accdat ;
        //对账记录总数
        private String talnum ;
        //成功核对总数
        private String sucnum ;
        //核对失败总数
        private String fainum ;
        //重发记录总数
        private String rsdnum ;
        //收发标志
        private String reddir ;




}