package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:mps:Message Process Subject
*/
@Table("mps")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Mps extends AbstractModule
{

        public Mps(){
            super();
        }

        public Mps(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "mps";
        }

        //
        private String inr ;
        //关联收发报信息
        private String pntinr ;
        //收发方向
        private String dir ;
        //源渠道代码
        private String srcchncod ;
        //当前渠道代码
        private String chncod ;
        //下一渠道代码
        private String nxtchncod ;
        //最终渠道代码
        private String tgtchncod ;
        //当前报文
        private String smhinr ;
        //消息处理状态
        private String sta ;
        //下一状态
        private String nxtsta ;
        //消息回执状态
        private String rspsta ;
        //消息接收时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date rcvdattim;
        //最近处理时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date lstdattim;
        //开始处理时间（需要延迟处理）
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date sttdattim;
        //最迟处理时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date tgtdattime;
        //发送时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date snddattim;
        //回执时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date rspdattim;
        //处理步骤信息
        private String stp ;
        //是否手工清分
        private String isman ;
        //是否进入黑名单
        private String isblk ;
        //数字签名标志
        private String flg ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;
        //gpi192报文请求码
        private String rspcod ;
        //gpi报文回复给Tracker状态
        private String reptrksta ;
        //G渠道清分类型
        private String swetyp ;
        //G渠道行内ACK标志
        private String sweack ;
        //G渠道标志
        private String sweflg ;
        //G渠道报送状态
        private String rptsta ;




}