package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:mtm:查询查复报文文本模板
*/
@Table("mtm")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Mtm extends AbstractModule
{

        public Mtm(){
            super();
        }

        public Mtm(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "mtm";
        }

        //
        private String inr ;
        //模版名称
        private String nam ;
        //报文类型
        private String typ ;
        //模版类型
        private String mtmtyp ;
        //模版内容
        private String txt ;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //要素个数
        private int keycnt ;
        //说明
        private String dsc ;
        //模版具体类型
        private String subtyp ;
        //状态
        private String sta ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;
        //序号
        private int ordnum ;




}