package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:noz:
*/
@Table("noz")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Noz extends AbstractModule
{

        public Noz(){
            super();
        }

        public Noz(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "noz";
        }

        //inr
        private String inr ;
        //mps表主键inr
        private String mpsinr ;
        //报文执行清分的时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date xxxtsktim;
        //是否延时等待原报状态
        private String sta ;




}