package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:pty:(系统表)机构表
*/
@Table("pty")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Pty extends AbstractModule
{

        public Pty(){
            super();
        }

        public Pty(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "pty";
        }

        //唯一编号
        private String inr ;
        //实体机构状态
        private String status ;
        //机构类型
        private String ptytyp ;
        //上级机构
        private String pntinr ;
        //网银编号(不启用)
        private String ncid ;
        //机构名称
        private String nam ;
        //总部编号
        private String heqinr ;
        //所属实体
        private String etyinr ;
        //机构英文名称
        private String engnam ;
        //机构中文名称
        private String chnnam ;
        //单证通注销时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date enddat;
        //核心编号(机构代码)
        private String cid ;
        //单证通开通时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date begdat;
        //BIC码
        private String extkey ;
        //单证级别
        private String lvl ;
        //分行标识
        private String brhflg ;
        //机构级别
        private String brhlvl ;
        //银行机构核心名称
        private String orgnam ;
        //联系电话
        private String ptypho ;
        //同inr
        private String ptyinr ;




}