package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:qre:CASE处理流水记录
*/
@Table("qre")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Qre extends AbstractModule
{

        public Qre(){
            super();
        }

        public Qre(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "qre";
        }

        //
        private String inr ;
        //CASE号码
        private String casnum ;
        //处理交易
        private String frmnam ;
        //操作用户
        private String usr ;
        //处理时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dattim;
        //处理说明
        private String dsc ;
        //处理状态
        private String sta ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;




}