package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:sth:代码表相关属性数据表
*/
@Table("sth")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Sth extends AbstractModule
{

        public Sth(){
            super();
        }

        public Sth(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "sth";
        }

        //惟一编号
        private String inr ;
        //表名
        private String tbl ;
        //代码最大长度
        private int codlen ;
        //文本长度
        private int txtlen ;
        //排序
        private String srt ;
        //描述
        private String nam ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;




}