package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Mpe;
import com.ceb.gjjs.mda.bo.Adu;
import com.ceb.gjjs.mda.bo.Mps;
import com.ceb.gjjs.mda.bo.Rol;
import com.ceb.gjjs.mda.bo.Smh;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Rel;
import com.ceb.gjjs.mda.bo.Dot;
import com.ceb.gjjs.mda.bo.Gjsmsg;
import com.ceb.gjjs.mda.bo.Gndlst;
import com.ceb.gjjs.mda.bo.Mpi;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Msggrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Msggrp.class);

        //调用交易标志
        private String flag;



	    @BDGetter
		private Mps mps;

	    @BDGetter
		private Mpi mpi;

	    @BDGetter
		private Smh smh;

	    @BDGetter
		private Mpe mpe;

		@BDGetter
		private ModuleList<Mps> mpss;

		@BDGetter
		private ModuleList<Mpi> mpis;

		@BDGetter
		private ModuleList<Rcvlst> rcvlst;

	    @BDGetter
		private Rel rel;

	    @BDGetter
		private Dot dot;

	    @BDGetter
		private Gjsmsg gjsmsg;

		@BDGetter
		private ModuleList<Gndlst> gndlst;

	    @BDGetter
		private Rol rol;

		@BDGetter
		private ModuleList<Mpe> mpelst;

	    @BDGetter
		private Adu adu;

		@BDGetter
		private ModuleList<Gellst> gellst;

		@BDGetter
		private ModuleList<Cprlst> cprlst;

	    @BDGetter
		private Smh cpssmh;


		public Msggrp()
        {
            super();
            setArgument();
        }

        public Msggrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }
























}