package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Offp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Offp.class);

        //授权文件夹
        private IControl auth;

        //退回文件夹
        private IControl back;

        //暂存文件夹
        private IControl ped;

        //待办文件夹
        private IControl gat;

        //autsize
        private String autsize;

        //pedsize
        private String pedsize;

        //backsize
        private String backsize;

        //gatsize
        private String gatsize;

        //跳转
        private IControl frmchn;

        //交易码
        private String frmnam;


        @JsonIgnore
        @BDGetter
        private transient IPanel office;

        @JsonIgnore
        @BDGetter
        private transient IPanel office02;

        @JsonIgnore
        @BDGetter
        private transient IPanel office03;

        @JsonIgnore
        @BDGetter
        private transient IPanel office04;



		public Offp()
        {
            super();
            setArgument();
        }

        public Offp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }

        /**
        *   source:offp.@0000.script
        */
        @Rule(target="frmchn",order=100)
        public boolean ruleFrmchnN100(){
            IContext ctx = MdaEnv.getContext();
            
			if(!MdaUtils.isEmpty(this.getFrmnam()))
			{
			  Platform.mchain(this.getFrmnam());
			}
			/*
			  String sql = "select ip from fipsta ";
			  Argument<String> ip = new Argument<String>("ip");
			  Object session = Platform.esdbExecuteSQL(null,sql);
			  while(true)
			  {
			  Platform.esdbFetchFields(session,ip);
			  if(Platform.errorCode()==NO_ERROR)
			  {
			  log.debug("ip="+ip.value);
			  }
			  else
			  {
			  break;
			  }
			  }
			  Platform.esdbCloseCursor(session);
			  */

			return true;
        }

























}