package com.ceb.gjjs.mda.resource;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.InputStream;
import javax.servlet.http.HttpServletRequest;

import com.ceb.gjjs.mda.service.ICommonService;
import com.brilliance.mda.runtime.mda.driver.MdaEnv;
import com.brilliance.mda.runtime.response.ResponseSet;
import com.ceb.gjjs.mda.service.OfficeService;
import com.ceb.gjjs.mda.vo.OfficeVO;

@RequestMapping("office")
@RestController
public class OfficeResource extends AbstractCommonResource<OfficeVO>{

    @Autowired
    private OfficeService office;

	@Override
	protected ICommonService getCommonService() {
		return office;
	}

}